<?php
/****************************************************************************************
 * SMI (Services Maintenance Interventions) est une gestion libre de maintenance et de SAV
 *
 * Version 1.0.4
 *
 * Copyright (C) 2006-2016  Sylvain FATOME
 * This program is free software; you can redistribute it and/or modify it under the terms
 * of the GNU General Public License as published by the Free Software Foundation;
 * either version 2 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along with this program
 * (in the directory docs);
 * if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA  02110-1301, USA.
 *
 * Contact : galawa@free.fr
 *
 * Web : http://smi.no-ip.org
 ****************************************************************************************/

/****************************/
/* Suppression objet enfant */
/****************************/

session_start();
sleep(1);
if (array_key_exists('id', $_REQUEST)) {
    $tomorrow = 0; //60*60*24; // en nb de secondes
    header("Cache-Control: max-age=$tomorrow");
    print_plain();
} else {
    print "Usage : $_SERVER[PHP_SELF]?id=idobjenfants";
}

function print_plain()
{
    header('Content-type: text/html; charset=UTF-8');
    $tab_str = $_SESSION['obj_idnomenc_enfants'];
    del_objenfant($_REQUEST['id'], $tab_str);
    print '';
}

/**
 * Supprime un objet enfant d'une liste d'objets
 *
 * @param $str_rech
 * @param $tab
 */
function del_objenfant($str_rech, $tab)
{
    require_once('../lib/gettext/gettext.inc');
    include_once('../inc/config.inc.php');
    include_once('../inc/func_txt.inc.php');

    $new_tab = [];

    if (count($tab) > 0) {
        foreach ($tab as $value) {
            if ($value <> $str_rech) {
                $new_tab[] = $value;
            }
        }
    }
    $_SESSION['obj_idnomenc_enfants'] = $new_tab;
}
